package com.qmth.boot.test.tools.excel.model;

import com.qmth.boot.tools.excel.annotation.ExcelColumn;

import java.util.Date;

public class ExcelTestEntity {

    @ExcelColumn(name = "编号", index = 0)
    private Long id;

    @ExcelColumn(name = "姓名", index = 1)
    private String name;

    @ExcelColumn(name = "时间", pattern = "yyyy/MM/dd", index = 2)
    private Date time;

    @ExcelColumn(name = "分数", index = 3)
    private Double score;

    @ExcelColumn(name = "启用", index = 4)
    private boolean enable;

    @ExcelColumn(name = "性别", index = 5, convertor = GenderEnumConvertor.class)
    private GenderEnum gender;

    @ExcelColumn(name = "班级", index = 6, nullable = true)
    private String className;

    @ExcelColumn(name = "教师", index = 7, nullable = true)
    private String teacher;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Date getTime() {
        return time;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public boolean isEnable() {
        return enable;
    }

    public void setEnable(boolean enable) {
        this.enable = enable;
    }

    public GenderEnum getGender() {
        return gender;
    }

    public void setGender(GenderEnum gender) {
        this.gender = gender;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getTeacher() {
        return teacher;
    }

    public void setTeacher(String teacher) {
        this.teacher = teacher;
    }
}
